Subject: Re: AW: AW: Parallell Development / Switching to GIT

From: Johannes Sixt <[email-masked]>
Date: Thu, 02 Jul 2009 08:20:39 +0200

Patrick Neuner - Futureweb.at schrieb:
> We use the update-hook to check into which branches pushes are allowed per different ssh keys. 
> Now, I wonder how I am able to create branches that are below another branch. 
> 
> Like 
> Refs/heads/master
> Refs/heads/dev
> Refs/heads/dev/featureA
> Refs/heads/dev/featureB
> 
> Instead of
> Refs/heads/featureA
> 
> Anything I tried either results in an error or creates the branch under /refs/heads/. 

You cannot have refs/heads/dev and refs/heads/dev/featureA at the same
time, just like you cannot have a file and a directory with the same name
at the same time. In fact, the refs "database" is implemented as physical
files on the file system.

-- Hannes